# H4508_NameOperations Class Reference

`#include <h4508.h>`

List of all members.

## Public Types

enum | Enumerations { e_callingName, e_alertingName, e_connectedName, e_busyName }

## Public Member Functions

| H4508_NameOperations (unsigned tag=UniversalEnumeration, TagClass tagClass=UniversalTagClass)
H4508_NameOperations & | operator= (unsigned v)
PObject * | Clone () const

## Member Enumeration Documentation

enum H4508_NameOperations::Enumerations

Enumerator:

  e_callingName |
  e_alertingName |
  e_connectedName |
  e_busyName |

## Constructor & Destructor Documentation

H4508_NameOperations::H4508_NameOperations | ( | unsigned | tag = `UniversalEnumeration`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H4508_NameOperations& H4508_NameOperations::operator= | ( | unsigned | v | ) |

PObject* H4508_NameOperations::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h4508.h